#!/bin/sh
#prosc daemon version 10

# By using the -XX:+IgnoreUnrecognizedVMOptions flag, we can combine Java 8 / 11 / 17 launch args into a single command that works with all versions
CATALINA_OPTS="-XX:+IgnoreUnrecognizedVMOptions -Dcom.prosc.tomcat=true -Xss4096k -Xmx1024M -XX:-OmitStackTraceInFastThrow -Djava.awt.headless=true -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=/tmp -Djava.net.useSystemProxies=true -Dsun.rmi.server.disableIncomingHttp=false"

# JDK_JAVA_OPTIONS is only picked up by Java 9 and later
JDK_JAVA_OPTIONS="--add-opens java.base/java.net=ALL-UNNAMED --add-opens java.base/jdk.internal.loader=ALL-UNNAMED --add-opens java.logging/java.util.logging=ALL-UNNAMED --add-opens java.base/sun.net.www.http=ALL-UNNAMED --add-opens java.base/sun.security.ssl=ALL-UNNAMED --add-opens java.base/java.io=ALL-UNNAMED --add-exports java.base/sun.net.www.protocol.https=ALL-UNNAMED --add-exports java.base/sun.net.www.protocol.http=ALL-UNNAMED --add-exports java.xml/com.sun.org.apache.xml.internal.serialize=ALL-UNNAMED"

# Uncomment the next line to enable live debugging. This is only used by 360Works support.
# CATALINA_OPTS="$CATALINA_OPTS -agentlib:jdwp=transport=dt_socket,address=42421,server=y,suspend=n"